VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
Classes | List of all members
Com::Vmware::Vapi::Metadata::Metamodel::ElementValue Class Reference
Inheritance diagram for Com::Vmware::Vapi::Metadata::Metamodel::ElementValue:

## Classes
class | Type

## Avaliable Methods
public method | set_structure_ids ()
public method | set_type ()
public method | get_structure_id ()
public method | get_list_value ()
public method | get_string_value ()
public method | set_structure_id ()
public method | set_list_value ()
public method | get_long_value ()
public method | set_long_value ()
public method | new ()
public method | get_type ()
public method | get_structure_ids ()
public method | set_string_value ()

## Detailed Description

The `Com::Vmware::Vapi::Metadata::Metamodel::ElementValue` class describes the value of the metadata element.

## Member Function Documentation

public method Com::Vmware::Vapi::Metadata::Metamodel::ElementValue::get_list_value | ( |  | ) |

Gets the value of 'list_value' property.

Return values

  list_value | - The current value of the field. List of strings value of the metadata element. optional#

Code:
click to view
# Number of lines of code in get_list_value: 4
sub get_list_value {
my ($self, %args) = @_;
return $self->{'list_value'};
}

public method Com::Vmware::Vapi::Metadata::Metamodel::ElementValue::get_long_value | ( |  | ) |

Gets the value of 'long_value' property.

Return values

  long_value | - The current value of the field. Long value of the metadata element. optional#

Code:
click to view
# Number of lines of code in get_long_value: 4
sub get_long_value {
my ($self, %args) = @_;
return $self->{'long_value'};
}

public method Com::Vmware::Vapi::Metadata::Metamodel::ElementValue::get_string_value | ( |  | ) |

Gets the value of 'string_value' property.

Return values

  string_value | - The current value of the field. String value of the metadata element. optional#

Code:
click to view
# Number of lines of code in get_string_value: 4
sub get_string_value {
my ($self, %args) = @_;
return $self->{'string_value'};
}

public method Com::Vmware::Vapi::Metadata::Metamodel::ElementValue::get_structure_id | ( |  | ) |

Gets the value of 'structure_id' property.

Return values

  structure_id | - The current value of the field. Identifier of the structure element. optional#

Code:
click to view
# Number of lines of code in get_structure_id: 4
sub get_structure_id {
my ($self, %args) = @_;
return $self->{'structure_id'};
}

public method Com::Vmware::Vapi::Metadata::Metamodel::ElementValue::get_structure_ids | ( |  | ) |

Gets the value of 'structure_ids' property.

Return values

  structure_ids | - The current value of the field. List of identifiers of the structure elements. optional#

Code:
click to view
# Number of lines of code in get_structure_ids: 4
sub get_structure_ids {
my ($self, %args) = @_;
return $self->{'structure_ids'};
}

public method Com::Vmware::Vapi::Metadata::Metamodel::ElementValue::get_type | ( |  | ) |

Gets the value of 'type' property.

Return values

  type | - The current value of the field. Type of the value. Type#

Code:
click to view
# Number of lines of code in get_type: 4
sub get_type {
my ($self, %args) = @_;
return $self->{'type'};
}

public method Com::Vmware::Vapi::Metadata::Metamodel::ElementValue::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vapi::Metadata::Metamodel::ElementValue structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 37
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
$validatorList = [
new Com::Vmware::Vapi::Data::UnionValidator(
'discriminant_name' => 'type',
'case_map' => {
'LONG' => ['long_value'],
'STRING' => ['string_value'],
'STRING_LIST' => ['list_value'],
'STRUCTURE_REFERENCE' => ['structure_id'],
'STRUCTURE_REFERENCE_LIST' => ['structure_ids'],
}),
];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{type} = $args{'type'};
$self->{long_value} = $args{'long_value'};
$self->{string_value} = $args{'string_value'};
$self->{list_value} = $args{'list_value'};
$self->{structure_id} = $args{'structure_id'};
$self->{structure_ids} = $args{'structure_ids'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vapi::Metadata::Metamodel::ElementValue');
$self->set_binding_name('name' => 'com.vmware.vapi.metadata.metamodel.element_value');
$self->set_binding_field('key' => 'type', 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vapi::Metadata::Metamodel', 'type_name' => 'ElementValue::Type'));
$self->set_binding_field('key' => 'long_value', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::LongType()));
$self->set_binding_field('key' => 'string_value', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
$self->set_binding_field('key' => 'list_value', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::StringType())));
$self->set_binding_field('key' => 'structure_id', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
$self->set_binding_field('key' => 'structure_ids', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::StringType())));
bless $self, $class;
return $self;
}

public method Com::Vmware::Vapi::Metadata::Metamodel::ElementValue::set_list_value | ( |  | ) |

Sets the given value for 'list_value' property.

Parameters

  list_value | - New value for the field. List of strings value of the metadata element.

Code:
click to view
# Number of lines of code in set_list_value: 5
sub set_list_value {
my ($self, %args) = @_;
$self->{'list_value'} = $args{'list_value'};
return;
}

public method Com::Vmware::Vapi::Metadata::Metamodel::ElementValue::set_long_value | ( |  | ) |

Sets the given value for 'long_value' property.

Parameters

  long_value | - New value for the field. Long value of the metadata element.

Code:
click to view
# Number of lines of code in set_long_value: 5
sub set_long_value {
my ($self, %args) = @_;
$self->{'long_value'} = $args{'long_value'};
return;
}

public method Com::Vmware::Vapi::Metadata::Metamodel::ElementValue::set_string_value | ( |  | ) |

Sets the given value for 'string_value' property.

Parameters

  string_value | - New value for the field. String value of the metadata element.

Code:
click to view
# Number of lines of code in set_string_value: 5
sub set_string_value {
my ($self, %args) = @_;
$self->{'string_value'} = $args{'string_value'};
return;
}

public method Com::Vmware::Vapi::Metadata::Metamodel::ElementValue::set_structure_id | ( |  | ) |

Sets the given value for 'structure_id' property.

Parameters

  structure_id | - New value for the field. Identifier of the structure element.

Code:
click to view
# Number of lines of code in set_structure_id: 5
sub set_structure_id {
my ($self, %args) = @_;
$self->{'structure_id'} = $args{'structure_id'};
return;
}

public method Com::Vmware::Vapi::Metadata::Metamodel::ElementValue::set_structure_ids | ( |  | ) |

Sets the given value for 'structure_ids' property.

Parameters

  structure_ids | - New value for the field. List of identifiers of the structure elements.

Code:
click to view
# Number of lines of code in set_structure_ids: 5
sub set_structure_ids {
my ($self, %args) = @_;
$self->{'structure_ids'} = $args{'structure_ids'};
return;
}

public method Com::Vmware::Vapi::Metadata::Metamodel::ElementValue::set_type | ( |  | ) |

Sets the given value for 'type' property.

Parameters

  type | - New value for the field. Type of the value.

Code:
click to view
# Number of lines of code in set_type: 5
sub set_type {
my ($self, %args) = @_;
$self->{'type'} = $args{'type'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vapi/Metadata/Metamodel/ElementValue.pm